load('/model/produto/preco/AtualizadorAbcPharma.js');
var mapper = mapperFactory.createMapperMult(["PrcEmpConfig"]);
var param = mapper.selectOne('PrcEmpConfig.listarPrcEmpConfig', {'cdEmp':1, 'cdChave':'FORCAR_DOWNLOAD_ABC_FARMA'});

if(param != null && param.get('valor') == 1){

    mapper.update('PrcEmpConfig.alterarPrcEmpConfig', {'cdEmp':1, 'cdChave':'FORCAR_DOWNLOAD_ABC_FARMA', 'valor':0});
    mapper.commit();

    var abc = new AtualizadorAbcPharma();

    try{
        abc.getProdutos(1);
        abc.salvar();
        abc.mapper.commit();
    }catch(err){
        abc.mapper.rollback();
        java.lang.System.out.println(err);
    }
}